import 'package:aitrainer_app/model/tracking.dart';
import 'package:aitrainer_app/service/logging.dart';
import 'dart:convert';
import 'api.dart';

class TrackingApi with Logging {
  final APIClient _client = APIClient();

  Future<void> saveTracking(Tracking tracking) async {
    try {
      String body = JsonEncoder().convert(tracking.toJson());
      log(" ===== saving tracking:" + body);
      await _client.post("tracking/", body);
    } catch (exception) {
      log("exception in tracking: ${exception.toString()}");
    }
  }
}
