class SplitTest {
  late int testId;
  late String name;
  late String remoteConfigKey;
  late String remoteConfigValue;
  late String testValue;
  String? source;
  late bool active;
  DateTime? validTo;

  SplitTest.fromJson(Map json) {
    this.testId = json['testId'];
    this.name = json['name'];
    this.remoteConfigKey = json['remoteConfigKey'];
    this.remoteConfigValue = json['remoteConfigValue'];
    this.testValue = json['testValue'];
    this.source = json['source'];
    this.active = json['active'];
    this.validTo = json['validTo'] == null ? null : DateTime.parse(json['validTo']);
  }

  @override
  String toString() {
    Map<String, dynamic> json = {
      'productId': this.testId,
      'name': this.name,
      'remoteConfigKey': this.remoteConfigKey,
      'remoteConfigValue': this.remoteConfigValue,
      'testValue': this.testValue,
      'source': this.source,
      'active': this.active,
      'validTo': validTo,
    };
    return json.toString();
  }
}
